Bug 1350124 - keyboard shortcuts stick to layout they were defined in; switching layout does not update shortcut keys
keyboard shortcuts stick to layout they were defined in; switching layout doe...
Status: NEW
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-25 16:15 EDT by René Genz
Modified: 2018-05-03 04:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description René Genz 2016-06-25 16:15:17 EDT
Description of problem:
Image you:
- use a US English international 105 keys keyboard
- have different keyboard layouts with different button layouts (f.e. German and US English DVORAK) set

You define a keyboard shortcut in one layout. The shortcut works in that layout.

You switch to the other keyboard layout. You press the other buttons to get the same character. The shortcut does not work.
The buttons of the first keyboard layout have to be pressed to make the shortcut work.


Version-Release number of selected component (if applicable):
I do not know which component is responsible for this behaviour.
I tested with and can reproduce the problem with Fedora 22 & 24: SDDM and GDM with Xfce, GNOME, GNOME@Wayland.
Other distributions on different hardware are affected too: Lubuntu 14.04: LightDM with LXDE
(In Windows 7 and Mac OS X 10.10.5 this behaviour is not present.)

Maybe this behaviour was present in X11 and carried over to Wayland?
libwayland-server-1.10.0-1.fc24.x86_64


How reproducible:
100%

Steps to Reproduce:
1. set multiple keyboard layouts in your session, like German and US English (DVORAK). German is the default keyboard layout.
The L key is on different buttons on the keyboard for the defined layouts.
In German layout to get an L you have to press L key.
In US English (DVORAK) layout to get an L you have to press P key.
2. switch to German layout and define a keyboard shortcut, for example to open a terminal with Ctrl+L
3. press Ctrl+L. A terminal is opened.
4. switch to US English (DVORAK) keyboard layout and press Ctrl+P (to get the L)

Actual results:
nothing happens

Expected results:
a terminal should be started because I pressed the right key combination

Additional info:
If you press Ctrl+L a terminal is opened.
Comment 1 Guillaume Bernard 2016-10-20 04:34:42 EDT
This bug is also present in fedora 25 with GNOME@Wayland.

I use belgian and french-bépo layouts. After switching from belgian to bépo, I cannot use Super+L to lock the screen.
Comment 2 Jeroen Wouters 2017-04-20 04:36:23 EDT
Although I have this issue with Gnome applications, Firefox and TeXmacs don't seem to be affected by this bug.
Comment 3 Fedora End Of Life 2017-07-25 17:18:20 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 René Genz 2017-07-26 17:07:18 EDT
still reproducable on Fedora 26 with libwayland-server-1.13.0-1.fc26.x86_64
Comment 5 Couret Charles-Antoine 2017-10-30 09:51:05 EDT
I have this bug too. fr (AZERTY) to fr-bépo (BÉPO) or be (AZERTY) to fr-bépo (BÉPO).

Applications with XWayland are not impacted (as mentioned before).
Comment 6 Fedora End Of Life 2018-05-03 04:39:32 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.